Plans and Reasons To End Script Support for JAWS Versions Older Than 12.0

General Information

Support for these scripts is primarily provided in the following places, most preferred first:

SkypeEnglish Mailing List
Public forum in which blind Skype users can help each other.
@dlee_code on Twitter
The script author's low-traffic Twitter account for project (including script) announcements and limited technical support.

This page is laid out for easy navigation via JAWS:

Starting in September of 2013, JAWS scripts for this application will only support (and compile for) JAWS versions 12 and later. This page explains why and provides further details.

Background

For many years before 2009, enhancements to the JAWS scripting language consisted only of additional functions, not changes to the actual language itself. However, in the middle of the JAWS 11 development cycle, Freedom Scientific began adding some much-desired power to the scripting language. The primary changes in the JAWS language, some only completed by the release of JAWS 12, are these:

New functions in a JAWS version can be simulated in many cases for older JAWS versions, but it has been difficult and messy at best to work around features of the actual scripting language that are not available in older versions of JAWS. JAWS 12.0 is the oldest JAWS version in which it is safe to use the new power in the language.

Roadmap For the Future

With this background, this script author decided to begin phasing out support for JAWS versions older than 12.0 in any script release after September 17, 2013. The specific reasons for the decision were these:

Details and Supporting Data

In mid September of 2013, this author requested user input and took the final in a set of statistical analyses on web traffic to determine what Skype, JAWS, and JAWS script versions were in use. The following is excerpted from an email to the SkypeEnglish mailing list and presents the results of that latest analysis, which is consistent with analyses done over the previous few months (those without a specific request to users to enter their data into the web logs however). This excerpt also details the end-user-visible changes this support decision will cause.

I [...] received over 130 responses to my request for people to type Ctrl+Shift+W from their newest comfortable JAWS version. I have run statistics and found the following:

So, the effect for everyone out there:

Starting with the October 4 Skype script release, the following changes went into effect:

  1. The 6.0a version remains on my site for anyone who needs it. It is the last Skype script version that supports any JAWS version from 6 through 11, inclusive.
  2. New script releases will only support JAWS 12 and later and will not even compile in an older JAWS or run there if you copy jsb files in by hand.
  3. The installer for the scripts will not recognize JAWS versions older than 12.0 so you don't accidentally make a mess of an old JAWS version.
  4. The code is updated to use new features in the scripting language that became available in JAWS 12. This will simplify coding of new complex solutions as they become necessary.